This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 913014 (CVE-2013-1486)

Summary: CVE-2013-1486 OpenJDK: MBeanServer insufficient privilege restrictions (JMX, 8006446)
Product: [Other] Security Response Reporter: Tomas Hoger <thoger>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: dbhole, jvanek
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=critical,public=20130219,reported=20130214,source=oracle,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-5/java-1.6.0-openjdk=affected,rhel-6/java-1.6.0-openjdk=affected,rhel-5/java-1.7.0-openjdk=affected,rhel-6/java-1.7.0-openjdk=affected,rhel-5/java-1.6.0-sun=affected,rhel-6/java-1.6.0-sun=affected,rhel-5/java-1.7.0-oracle=affected,rhel-6/java-1.7.0-oracle=affected,rhel-5/java-1.5.0-ibm=affected,rhel-6/java-1.5.0-ibm=affected,rhel-5/java-1.6.0-ibm=affected,rhel-6/java-1.6.0-ibm=affected,rhel-5/java-1.7.0-ibm=affected,rhel-6/java-1.7.0-ibm=affected
Fixed In Version: icedtea6 1.11.8, icedtea6 1.12.3, icedtea7 2.1.6, icedtea7 2.2.6, icedtea7 2.3.7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-03-12 04:58:53 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 906729    

Description Tomas Hoger 2013-02-20 03:39:40 EST
It was discovered that MBeanServer implementation in the JMX component in OpenJDK did not properly check privileges of the code.  An untrusted Java application or applet could use this flaw to bypass Java sandbox restrictions.

This update also changes default package access restrictions, making the whole com.sun.jmx. package restricted.

Upstream commit, as included in IcedTea7 repositories:

http://icedtea.classpath.org/hg/release/icedtea7-forest-2.3/jdk/rev/3cd2c0907802

External Reference:

http://www.oracle.com/technetwork/topics/security/javacpufeb2013update-1905892.html
Comment 1 errata-xmlrpc 2013-02-20 05:52:09 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0273 https://rhn.redhat.com/errata/RHSA-2013-0273.html
Comment 2 errata-xmlrpc 2013-02-20 06:12:22 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0274 https://rhn.redhat.com/errata/RHSA-2013-0274.html
Comment 3 errata-xmlrpc 2013-02-20 06:32:46 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2013:0275 https://rhn.redhat.com/errata/RHSA-2013-0275.html
Comment 4 errata-xmlrpc 2013-02-20 16:45:18 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2013:0532 https://rhn.redhat.com/errata/RHSA-2013-0532.html
Comment 5 errata-xmlrpc 2013-02-20 16:46:31 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0531 https://rhn.redhat.com/errata/RHSA-2013-0531.html
Comment 6 Tomas Hoger 2013-02-21 05:06:11 EST
Fixed in upstream IcedTea versions IcedTea6 1.11.8, and 1.12.3, and IcedTea7 2.1.6, 2.2.6, and 2.3.7:

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/021998.html
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/022040.html
Comment 7 errata-xmlrpc 2013-03-11 14:49:46 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0624 https://rhn.redhat.com/errata/RHSA-2013-0624.html
Comment 8 errata-xmlrpc 2013-03-11 15:00:49 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0626 https://rhn.redhat.com/errata/RHSA-2013-0626.html
Comment 9 errata-xmlrpc 2013-03-11 15:02:27 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0625 https://rhn.redhat.com/errata/RHSA-2013-0625.html
Comment 10 errata-xmlrpc 2013-10-23 12:39:28 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.5

Via RHSA-2013:1456 https://rhn.redhat.com/errata/RHSA-2013-1456.html
Comment 11 errata-xmlrpc 2013-10-23 12:50:47 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html